Bug 917111 (CVE-2013-1790)

Summary: CVE-2013-1790 poppler: uninitialized memory read flaw
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: mkasik, rdieter
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130109,reported=20130227,source=oss-security,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,fedora-all/poppler=affected,rhel-5/poppler=wontfix,rhel-6/poppler=wontfix
Fixed In Version: poppler 0.22.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-22 02:51:18 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 917113    
Bug Blocks: 917112    

Description Vincent Danen 2013-03-01 13:13:18 EST
An uninitialized memory read flaw was reported in poppler (fixed in version 0.22.1):

Initialize refLine totally
Fixes uninitialized memory read in 1004.pdf.asan.7.3  [1]

[1] http://cgit.freedesktop.org/poppler/poppler/commit/?h=poppler-0.22&id=b1026b5978c385328f2a15a2185c599a563edf91
Comment 1 Vincent Danen 2013-03-01 13:17:17 EST
Created poppler tracking bugs for this issue

Affects: fedora-all [bug 917113]
Comment 2 Fedora Update System 2013-03-13 22:44:56 EDT
poppler-0.20.2-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2013-03-13 22:47:57 EDT
poppler-0.18.4-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Huzaifa S. Sidhpurwala 2013-04-30 00:07:55 EDT
This issue affects the version of poppler as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 7 Vincent Danen 2015-08-22 02:51:09 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.